﻿using System;
using System.Collections.Generic;
using System.Linq;

static class ExtensionMethodSample
{
    /// <summary>
    /// 문자열에 포함된 단어의 수를 반환
    /// </summary>
    /// <param name="txt">문자열</param>
    /// <returns>공백으로 구분되는 단어의 수</returns>
    internal static int GetWordCount(this string txt)
    {
        return txt.Split(' ').Length;
    }
}

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            string text = "Hello, World!";

            Console.WriteLine("Count: " + text.GetWordCount());
            Console.WriteLine("Count: " + ExtensionMethodSample.GetWordCount(text));

            List<int> list = new List<int>() { 5, 4, 3, 2, 1 };
            Console.WriteLine(list.Min());
        }
    }
}
